<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('game_shots', function (Blueprint $table) {
            $table->id();

            $table->unsignedBigInteger('game_session_id');

            $table->unsignedTinyInteger('shot_number'); // 1–3
            $table->boolean('result'); // 1 = goal, 0 = miss

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('game_shots');
    }
};
